# getPayment

### Arguments

| Argument                                               | Description |
| ------------------------------------------------------ | ----------- |
| id ([ID](/graphql-api/api-reference/objects/id.md))    |             |
| token ([ID](/graphql-api/api-reference/objects/id.md)) |             |

### Return fields

#### amountCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Payment amount in cents.

#### amountWithSymbol ([String](/graphql-api/api-reference/objects/string.md)!)

Payment amount with currency symbol.

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

When the payment record was first created.

#### currency ([String](/graphql-api/api-reference/objects/string.md))

Payment currency

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID of the payment.

#### invoice ([Invoice](/graphql-api/api-reference/objects/invoice.md))

The invoice associated with this payment. The original payment and all its retry attempts are associated with one invoice.

#### paymentId ([ID](/graphql-api/api-reference/objects/id.md))

The external payment reference from the payment service provider.

#### paymentStatus ([PaymentStatusEnum](/graphql-api/api-reference/objects/payment-status-enum.md)!)

Status of the payment.

#### paymentType ([PaymentTypeEnum](/graphql-api/api-reference/objects/payment-type-enum.md)!)

The type of transaction that this payment represents

#### refunds (\[[Refund](/graphql-api/api-reference/objects/refund.md)!])

The refunds for this payment.

#### retryPaymentUrl ([String](/graphql-api/api-reference/objects/string.md))

Send your customer to this URL to allow them to retry the failed payment. Append ?return\_url=<https://your-url> to send the customer back after a successful payment.

#### ~~status (~~[~~String~~](/graphql-api/api-reference/objects/string.md)~~)~~

*`Deprecated: Use the 'payment_status' field instead.`*

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md)!)

The subscription associated with this payment.

#### token ([ID](/graphql-api/api-reference/objects/id.md)!)

Token to identify the payment with

#### updatedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

When the payment record was last updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/get-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
